installing / refreshing snap impossible to translate

Bug #1824005 reported by AO on 2019-04-09
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Release Upgrader
Fix Released
Undecided
Unassigned
Ubuntu Translations
Medium
Unassigned
ubuntu-release-upgrader (Ubuntu)
Medium
Brian Murray
Eoan
Medium
Brian Murray

Bug Description

Hi,

In Disco, for ubuntu-release-upgrader package, there is currently an odd string:
%sing snap %s

Manfred Hampl found out:
"that "%s" is a placeholder that is filled with a string parameter, and "ing" is constant text.

Digging into the source https://git.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/tree/DistUpgrade/DistUpgradeQuirks.py#n459 (not sure whether it is the right version), it seems to be another example of bad tricks that make translations impossible.

As far as I can see there are two branches, and depending on the status of the snap, it is either installing or refreshing that snap.
The value of "command" is either "install" or "refresh", and the string %sing results either in "installing" or in "refreshing".

With the way that this was done, I do not see any possibility that the words "install" and "refresh" could be translated to a different language.

The only reasonable solution that I can suggest is a split into two messages, e.g.

            if re.search("^installed: ", …
                …
                command = 'refresh'
                self._view.updateStatus(_("refreshing snap %s" % snap))
            else:
                command = 'install'
                self._view.updateStatus(_("installing snap %s" % snap))
            try:
                self._view.processEvents()

This would make the strings easily translatable."

Related branches

tags: added: disco i18n rls-ee-incoming
Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
summary: - Impossible translation
+ installing / refreshing snap impossible to translate
Changed in ubuntu-release-upgrader (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
tags: removed: rls-ee-incoming
Adolfo Jayme (fitojb) on 2019-06-14
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:19.10.6

---------------
ubuntu-release-upgrader (1:19.10.6) eoan; urgency=medium

  * DistUpgradeQuirks.py: modify string regarding refreshing and installing
    snaps so that it is translatable. (LP: #1824005)

 -- Brian Murray <email address hidden> Fri, 14 Jun 2019 10:33:21 -0700

Changed in ubuntu-release-upgrader (Ubuntu Eoan):
status: In Progress → Fix Released
Adolfo Jayme (fitojb) on 2019-06-17
Changed in ubuntu-translations:
status: Triaged → Fix Released
Changed in ubuntu-release-upgrader:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions